/* lexer.l - Stats conf lexer
** Copyright Stats coding team, 2001
**
** Based on code from ircd-hybrid-7
*/

%option case-insensitive

%{

#include "stats.h"
#include "struct.h"
#include "proto.h"
#include "y.tab.h"

%}

ws		[ \t]*
comment		#.*
%s		STRING_STATE

%%

{ws}            ;
{comment}       ;
[0-9]+          { yylval.number = atoi(yytext); return NUMBER; }
server_name	{ return T_SERVER_NAME; BEGIN STRING_STATE; 	}
server_port	{ return T_SERVER_PORT;  	}
connect_to	{ return T_CONNECT_TO;	BEGIN STRING_STATE;	}
connect_pass	{ return T_CONNECT_PASS; BEGIN STRING_STATE;	}
use_vhost	{ return T_USE_VHOST;		}
vhost		{ return T_VHOST;	BEGIN STRING_STATE;	}
server_desc	{ return T_SERVER_DESC;	BEGIN STRING_STATE;	}
netname		{ return T_NETNAME;	BEGIN STRING_STATE;	}
admin_name	{ return T_ADMIN_NAME;	BEGIN STRING_STATE;	}
admin_email	{ return T_ADMIN_EMAIL;	BEGIN STRING_STATE;	}
reconnect_time	{ return T_RECONNECT_TIME;	}
flood_time	{ return T_FLOOD_TIME;		}
flood_ignore	{ return T_FLOOD_IGNORE;	}
flood		{ return T_FLOOD;		}
lag_time	{ return T_LAG_TIME;		}
statserv_host	{ return T_STATSERV_HOST; BEGIN STRING_STATE;	}
statserv_user	{ return T_STATSERV_USER; BEGIN STRING_STATE;	}
statserv_nick	{ return T_STATSERV_NICK; BEGIN STRING_STATE;	}
enable_spam	{ return T_ENABLE_SPAM;		}
onlyopers	{ return T_ONLYOPERS;		}
want_privmsg	{ return T_WANT_PRIVMSG;	}
services_name	{ return T_SERVICES_NAME; BEGIN STRING_STATE;	}
lag_notices	{ return T_LAG_NOTICES;		}
enable_html	{ return T_ENABLE_HTML;		}
set_oper	{ return T_SET_OPER;		}
set_deaf	{ return T_SET_DEAF;		}
hide_services	{ return T_HIDE_SERVICES;	}
html_dump	{ return T_HTML_DUMP;	BEGIN STRING_STATE;	}
html_time	{ return T_HTML_TIME;		}
html_link	{ return T_HTML_LINK;	BEGIN STRING_STATE;	}
channels	{ return T_CHANNELS;	BEGIN STRING_STATE;	}
url		{ return T_URL;		BEGIN STRING_STATE;	}
<STRING_STATE>[^ \t\n].+[^ \t\n]  { BEGIN 0; yylval.string = yytext; return STRING; }
