/* GeoStats - IRC Statistical Services
** Copyright (c) 1999 Jonathan George
**  E-Mail: net@lite.net
*
** GeoStats CVS Identification
** $Id: stats.h,v 1.10 2001/04/02 01:01:49 wcampbel Exp $
*/

#ifndef STATS_H
#define STATS_H

#include <stdio.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netdb.h>
#include <netinet/in.h>
#include <unistd.h>
#include <time.h>
#include <string.h>
#include <stdarg.h>
#include <stdlib.h>
#include <sys/time.h>
#include <ctype.h>
#include <sys/stat.h>
#include "config.h"

/* Standard settings... ONLY change these if you know what
** you are doing.  The service may fail to work if not
** NOTE:  NEVER Change BUFSIZE
*/
#define BUFSIZE			512
#define CONFIG_NAME		"stats.cfg"
#define TLD_FILE		"data/tlds.nfo"
#define STATS_DB		"data/stats.db"
#define NSTATS_DB		"data/nstats.db"
#define PIDFILE			"stats.pid"
#define LOGFILE			"stats.log"
#define USERFILE		"users.lst"
#define BACKUPLOGFMT		"logs/stats-%m-%d.log"
#define TIMEFMT			"%H:%M[%m/%d/%Y]"
#define FTMFMT			"%A, %d %b %Y, %I:%M%p %Z"
#define IRCTFMT			"%A %B %d %G -- %H:%M:%S %z"
#define MAXHOST			63
#define MAXPASS			32
#define MAXNICK			32
#define MAXUSER			10
#define MAXCHANS		15
#define MAXTLD			10
#define MAXPARA			15
#define LINE			80
#define TIMEBUF			100
#define SPAMLEN			8

#ifdef LARGE_NET
# define S_TABLE_SIZE 150
# define U_TABLE_SIZE 80000
#else
# define S_TABLE_SIZE	97
# define U_TABLE_SIZE	1999
#endif /* LARGE_NET */

/* Sanity checking */
#ifdef CYGWIN
# undef FNMATCH
#endif

/* Define the default time delay */
#ifdef DELAY_PRIVMSG
# define DELAYTIME 750000
#endif

/* Only allow OPER_MODES to be enabled on Dal based servers */
#if !defined(IRCD_DAL) && !defined(IRCD_DALNQ) && !defined(IRCD_MLN)
#undef OPER_MODES
#endif

/* If we disallow the PRIVMSG nick method, be sure and enable PRIVMSG u@h
** or else we cannot communicate with the service
*/
#ifdef DISALLOW_NICK_PRIVMSG
# define SUPPORT_MSG_UH
#endif

#endif
